Plan and store a resource config revision
curl --request POST \
--url https://api.arklow.io/v1/orgs/{org_id}/config/revisions/ \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"definition": {
"actions": [
{
"variant": "<string>",
"aliases": [
"<string>"
],
"destinations": [
"<string>"
],
"queries": [
"<string>"
],
"schema": "<unknown>",
"sources": [
"<string>"
]
}
],
"resources": {
"destinations": [
{
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2
},
"credential": "<string>"
}
],
"metrics": [
{
"name": "<string>",
"kind": "prometheus",
"endpoint": "<string>",
"poll_interval_seconds": 123,
"credential": "<string>",
"config": {
"path": "<string>",
"auth_header": "<string>",
"tls_skip_verify": true
},
"status": "active",
"queries": [
{
"name": "<string>",
"status": "active",
"config": {
"expression": "<string>",
"rollup_seconds": 123,
"window_seconds": 123,
"group_by": [
"<string>"
],
"tags": {}
}
}
]
}
],
"sources": [
{
"name": "<string>",
"type": "aws_sqs",
"config": {
"queue_url": "<string>",
"region": "<string>"
},
"credential": "<string>",
"status": "active",
"ingest": {
"variant": "<string>",
"version": 2
}
}
]
}
}
}
'{
"data": {
"id": "<string>",
"org_id": "<string>",
"preview_steps": [
{
"kind": "action",
"op": "create",
"variant": "<string>",
"final_version": 123,
"id": "<string>",
"current_version": 123,
"destination": {
"by": "default_sink",
"value": "default_sink"
},
"create": {
"schema": "<unknown>",
"variant": "<string>",
"version": 123,
"alias": [
"<string>"
]
},
"update": {
"version": 123,
"alias": [
"<string>"
],
"schema": "<unknown>"
}
}
],
"status": "planned",
"error_message": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Plan and store a resource config revision
POST
/
v1
/
orgs
/
{org_id}
/
config
/
revisions
/
Plan and store a resource config revision
curl --request POST \
--url https://api.arklow.io/v1/orgs/{org_id}/config/revisions/ \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"definition": {
"actions": [
{
"variant": "<string>",
"aliases": [
"<string>"
],
"destinations": [
"<string>"
],
"queries": [
"<string>"
],
"schema": "<unknown>",
"sources": [
"<string>"
]
}
],
"resources": {
"destinations": [
{
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2
},
"credential": "<string>"
}
],
"metrics": [
{
"name": "<string>",
"kind": "prometheus",
"endpoint": "<string>",
"poll_interval_seconds": 123,
"credential": "<string>",
"config": {
"path": "<string>",
"auth_header": "<string>",
"tls_skip_verify": true
},
"status": "active",
"queries": [
{
"name": "<string>",
"status": "active",
"config": {
"expression": "<string>",
"rollup_seconds": 123,
"window_seconds": 123,
"group_by": [
"<string>"
],
"tags": {}
}
}
]
}
],
"sources": [
{
"name": "<string>",
"type": "aws_sqs",
"config": {
"queue_url": "<string>",
"region": "<string>"
},
"credential": "<string>",
"status": "active",
"ingest": {
"variant": "<string>",
"version": 2
}
}
]
}
}
}
'{
"data": {
"id": "<string>",
"org_id": "<string>",
"preview_steps": [
{
"kind": "action",
"op": "create",
"variant": "<string>",
"final_version": 123,
"id": "<string>",
"current_version": 123,
"destination": {
"by": "default_sink",
"value": "default_sink"
},
"create": {
"schema": "<unknown>",
"variant": "<string>",
"version": 123,
"alias": [
"<string>"
]
},
"update": {
"version": 123,
"alias": [
"<string>"
],
"schema": "<unknown>"
}
}
],
"status": "planned",
"error_message": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Pattern:
^[0-9]+$Body
application/json
Show child attributes
Show child attributes
⌘I